dpkg in precise missing pre-dependency on later version of tar than shipped in lucid

Bug #878960 reported by Mathilda Young on 2011-10-20
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
dpkg (Debian)
Fix Released
Unknown
dpkg (Ubuntu)
High
Colin Watson
Precise
High
Colin Watson

Bug Description

I am attempting an upgrade from Lucid to Precise.

ProblemType: Package
DistroRelease: Ubuntu 10.04
Package: plymouth-label 0.8.2-2ubuntu2
ProcVersionSignature: Ubuntu 2.6.32-21.32-generic 2.6.32.11+drm33.2
Uname: Linux 2.6.32-21-generic i686
Architecture: i386
Date: Thu Oct 20 11:43:44 2011
DefaultPlymouth: /lib/plymouth/themes/ubuntu-logo/ubuntu-logo.plymouth
ErrorMessage: subprocess dpkg-deb --control returned error exit status 2
InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release i386 (20100429)
Lsusb:
 Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
 Bus 001 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
MachineType: Dell Computer Corporation Latitude C840
PccardctlIdent:
 Socket 0:
   no product info available
 Socket 1:
   no product info available
PccardctlStatus:
 Socket 0:
   no card
 Socket 1:
   no card
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.32-21-generic root=UUID=85056bc3-0f05-492d-a647-47800cbb4073 ro quiet splash
ProcFB: 0 nouveaufb
SourcePackage: plymouth
TextPlymouth: /lib/plymouth/themes/ubuntu-text/ubuntu-text.plymouth
Title: package plymouth-label 0.8.2-2ubuntu2 failed to install/upgrade: subprocess dpkg-deb --control returned error exit status 2
dmi.bios.date: 08/17/2002
dmi.bios.vendor: Dell Computer Corporation
dmi.bios.version: A06
dmi.board.name: Latitude C840
dmi.board.vendor: Dell Computer Corporation
dmi.chassis.type: 8
dmi.chassis.vendor: Dell Computer Corporation
dmi.modalias: dmi:bvnDellComputerCorporation:bvrA06:bd08/17/2002:svnDellComputerCorporation:pnLatitudeC840:pvr:rvnDellComputerCorporation:rnLatitudeC840:rvr:cvnDellComputerCorporation:ct8:cvr:
dmi.product.name: Latitude C840
dmi.sys.vendor: Dell Computer Corporation

Related branches

Mathilda Young (gtrsdk) wrote :
Steve Langasek (vorlon) wrote :

This is a missing versioned pre-dependency on tar from dpkg, discussed here:

   http://lists.debian.org/debian-devel/2011/09/msg00598.html

We need to pick up this pre-dependency early in the cycle, to make sure it really works as expected for our upgrades. (particularly combined with the multiarch question for amd64.)

affects: plymouth (Ubuntu) → dpkg (Ubuntu)
Changed in dpkg (Ubuntu):
assignee: nobody → Colin Watson (cjwatson)
importance: Undecided → High
milestone: none → precise-alpha-1
status: New → Triaged
summary: - package plymouth-label 0.8.2-2ubuntu2 failed to install/upgrade:
- subprocess dpkg-deb --control returned error exit status 2
+ dpkg in precise missing pre-dependency on later version of tar than
+ shipped in lucid
Colin Watson (cjwatson) on 2011-10-20
Changed in dpkg (Ubuntu Precise):
status: Triaged → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package dpkg - 1.16.1ubuntu2

---------------
dpkg (1.16.1ubuntu2) precise; urgency=low

  * Cherry-pick from trunk:
    - Add Pre-Depends on tar >= 1.23 (satisfied in stable) to dpkg due to it
      using the ‘--warning=no-timestamp’ option. Closes: 642802, LP: #878960
 -- Colin Watson <email address hidden> Thu, 20 Oct 2011 18:56:21 +0100

Changed in dpkg (Ubuntu Precise):
status: Fix Committed → Fix Released
Changed in dpkg (Debian):
status: Unknown → Fix Committed
Changed in dpkg (Debian):
status: Fix Committed → Fix Released
Changed in dpkg (Debian):
status: Fix Released → New
Changed in dpkg (Debian):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.